Changes between Initial Version and Version 4 of Ticket #13287


Ignore:
Timestamp:
07/24/12 19:29:24 (9 years ago)
Author:
leif
Comment:

Initial patch now attached here.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #13287

    • Property Cc drkirkby added
    • Property Status changed from new to needs_review
    • Property Authors changed from to Leif Leonhardy
  • Ticket #13287 – Description

    initial v4  
    22
    33We should also set / override `CPP` and (at least) also various commonly-used Fortran compiler variables to make sure the versions from ''Sage's'' GCC installation get used, since the user may have specified these, and the build might break (due to mixing different compiler versions).  (As an example, building ECL currently fails if `$CPP` finds `ffi.h` although it is not really installed system-wide, but rather only in e.g. `/usr/lib/<ARCH>/<$CPP's version>/include/`; see [comment:ticket:13150:5] ff.)
     4
     5----
     6
     7Apply
     8
     9 * [attachment:trac_13287-set_CPP_FC_etal_if_GCC_spkg_is_installed.patch]
     10
     11to the '''Sage root''' repository.